package com.galaxis.manatee;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

import javax.annotation.PostConstruct;
import java.util.TimeZone;

/**
 * @author zcj
 * @version 0.1
 */
// TODO 记得放开
//@EnableScheduling
@SpringBootApplication
@EnableFeignClients
@MapperScan("com.galaxis.manatee.mapper")
public class ManateeApplication {
    @PostConstruct
    void started() {
        TimeZone.setDefault(TimeZone.getTimeZone("Asia/Shanghai"));
    }

    public static void main(String[] args) {
        SpringApplication.run(ManateeApplication.class, args);
    }
}
