package com.galaxis.manatee.entity.chuanyun.data.object;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;

/**
 * @Description 分权手册完整实体类
 * @Author zzx
 * @Date 2022年09月20日 21:24
 */
@Slf4j
@Data
public class Handbook {
    //记录ID
    private String objectId;

    //数据标题
    private String name;

    //创建人
    private String createdBy;

    //拥有者
    private String ownerId;

    //所属部门
    private String ownerDeptId;

    //创建时间
    private String createdTime;

    //修改时间
    private String modifiedTime;

    //人员姓名
    private String f0000001;

    //员工工号
    private String f0000002;

    //一级领导
    private String f0000003;

    //二级领导
    private String f0000004;

    //三级领导
    private String f0000005;

    //四级领导
    private String f0000011;

    //分公司总经理
    private String f0000006;

    //集团分管领导
    private String f0000007;

    //备注
    private String f0000009;

    //更新字段
    private String f0000008;

    //人员姓名ID
    private String f0000010;

    //人员所属公司
    private String f0000012;

    public Handbook(String objectId, String name, String createdBy, String ownerId, String ownerDeptId,
                    String createdTime, String modifiedTime, String f0000001, String f0000002, String f0000003,
                    String f0000004, String f0000005, String f0000011, String f0000006, String f0000007,
                    String f0000009, String f0000008, String f0000010, String f0000012) {
        super();
        this.objectId = objectId;
        this.name = name;
        this.createdBy = createdBy;
        this.ownerId = ownerId;
        this.ownerDeptId = ownerDeptId;
        this.createdTime = createdTime;
        this.modifiedTime = modifiedTime;
        this.f0000001 = f0000001;
        this.f0000002 = f0000002;
        this.f0000003 = f0000003;
        this.f0000004 = f0000004;
        this.f0000005 = f0000005;
        this.f0000011 = f0000011;
        this.f0000006 = f0000006;
        this.f0000007 = f0000007;
        this.f0000009 = f0000009;
        this.f0000008 = f0000008;
        this.f0000010 = f0000010;
        this.f0000012 = f0000012;
    }

    public Handbook() {
        super();
    }
}
