package com.galaxis.manatee.entity.chuanyun.data.object;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;

/**
 * @Description 分权手册更新所需字段实体类
 * @Author zzx
 * @Date 2022年09月20日 20:37
 */
@Slf4j
@Data
public class MyExcelData {
    //需更新人的姓名
    private String name;

    //公司
    private String company;

    //一级审批人
    private String firstName;

    //二级审批人
    private String secondName;

    //三级审批人
    private String thirdName;

    //总经理
    private String manager;

    //集团分管领导
    private String groupChargeLeader;

    public MyExcelData(String name, String company, String firstName, String secondName,
                       String thirdName, String manager, String groupChargeLeader) {
        super();
        this.name = name;
        this.company = company;
        this.firstName = firstName;
        this.secondName = secondName;
        this.thirdName = thirdName;
        this.manager = manager;
        this.groupChargeLeader = groupChargeLeader;
    }

    public MyExcelData() {
        super();
    }
}
