package com.galaxis.manatee.event;

import com.galaxis.manatee.service.WorkGroupService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ImplCostListener implements ApplicationListener<ImplCostEvent> {

    @Autowired
    private WorkGroupService workGroupService;

    @Override
    public void onApplicationEvent(ImplCostEvent event) {
        log.info("监听到实施费用事件");
        workGroupService.implAllCost();
    }
}
