package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.LogDownloadService;
import com.galaxis.manatee.service.LogStandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 工时相关操作
 */
@RestController
public class WorkHourOperateController {
    @Autowired
    private LogDownloadService logDownloadService;
    @Autowired
    private LogStandardService logStandardService;

    /**
     * 下载工时日志
     *
     * @param
     */
    @GetMapping("/test/operate/pullLog")
    public void pullChuanyunLog() {
        // 保存4月份工时至数据库
        logDownloadService.saveDayLog();
    }
}
