package com.galaxis.manatee.Test.zzx;

import com.galaxis.manatee.service.LogService;
import com.galaxis.manatee.service.LogStandardService;
import com.galaxis.manatee.service.LogUpdateService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
public class ProjectTest5 {     //标准化工时
    @Autowired
    private LogService logService;

    @Autowired
    private LogStandardService logStandardService;

    @Autowired
    private LogUpdateService logUpdateService;

    @Test
    public void downloadLogByUserId(){      //从氚云下载工时
        logService.downloadLogByUserId("b70e1376-0268-4c20-9338-a70061bdd26a"); //王文荟
//        logService.downloadLogByUserId("7a62f8f0-6cad-44e6-a628-5b0c8d0649c7"); //夏晓婷
//        logService.downloadLogByUserId("9bfef9f7-8ea0-41fa-8e89-f26e9a1476bb"); //王玉清
//        logService.downloadLogByUserId("4927e8a0-985e-4561-907e-d386df1c134a"); //吕洁
    }

    @Test
    public void standardSelfWorkHourByUserId(){     //标准化工时
        logStandardService.standardSelfWorkHourByUserId("b70e1376-0268-4c20-9338-a70061bdd26a");
//        logStandardService.standardSelfWorkHourByUserId("7a62f8f0-6cad-44e6-a628-5b0c8d0649c7");
//        logStandardService.standardSelfWorkHourByUserId("9bfef9f7-8ea0-41fa-8e89-f26e9a1476bb");
//        logStandardService.standardSelfWorkHourByUserId("4927e8a0-985e-4561-907e-d386df1c134a");
    }

    @Test
    public void pushOne(){      //上传至氚云
        logUpdateService.updateChuanyunSelfWorkHourListByUserId("b70e1376-0268-4c20-9338-a70061bdd26a");
//        logUpdateService.updateChuanyunSelfWorkHourListByUserId("7a62f8f0-6cad-44e6-a628-5b0c8d0649c7");
//        logUpdateService.updateChuanyunSelfWorkHourListByUserId("9bfef9f7-8ea0-41fa-8e89-f26e9a1476bb");
//        logUpdateService.updateChuanyunSelfWorkHourListByUserId("4927e8a0-985e-4561-907e-d386df1c134a");
    }
}
